(*====================================================================
    File dictreg.pas

    Components library for Delphi and BCB++.
    DesignTime   TDictionaryMgr.
    DesignTime for TDictionaryMgr component.

    Copyright  1998-2008, PSTG
    http://www.polesoft.ru
    mailto:support@polesoft.ru

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

======================================================================
$Id: DictReg.pas,v 1.2 2008/09/05 09:00:45 savchenko Exp $
======================================================================*)
unit DictReg;

{$I POLARIS.INC}

interface

uses Classes, SysUtils, Controls, TypInfo, Consts, ComCtrls,
     DB, DBTables,
     {$IFDEF POLARIS_D6}DesignIntf,DesignEditors,{$ELSE}DsgnIntf,{$ENDIF}
     DVEditor,  DictItem;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Polaris DB',[TDictionaryMgr]);
{$IFDEF POLARIS_D3}
  RegisterNonActiveX([TDictionaryMgr], axrComponentOnly);
{$ENDIF}
  RegisterNoIcon([TDictionaryItem]);
//  RegisterClasses([TDictionaryItem]);
  {DictionaryMgr}
  RegisterComponentEditor(TDictionaryMgr, TDictionaryMgrEditor);
  RegisterPropertyEditor(TypeInfo(TList), TDictionaryMgr, 'NodeProxies',
                         TNodeListProperty);
  RegisterPropertyEditor(TypeInfo(TTreeView), TDictionaryMgr, 'MgrOwner',
                         TMgrOwnerProperty);
  RegisterPropertyEditor(TypeInfo(TDictionaryItem), TDictionaryMgr, 'ActiveItem',
                         TActiveItemProperty);
  {DictionaryItem}
  RegisterPropertyEditor(TypeInfo(String), TDictionaryItem, 'NodeName',
                         TRootNodeProperty);
  RegisterPropertyEditor(TypeInfo(TDBDataSet), TDictionaryItem, 'DataSet',
                         TDictDataSetProperty);
  RegisterPropertyEditor(TypeInfo(String), TDictionaryItem, 'ParentFieldName',
                         TDictFieldProperty);
  RegisterPropertyEditor(TypeInfo(String), TDictionaryItem, 'OwnerFieldName',
                         TDictFieldProperty);
  RegisterPropertyEditor(TypeInfo(String), TDictionaryItem, 'DisplayFieldName',
                         TDictFieldProperty);
  RegisterPropertyEditor(TypeInfo(String), TDictionaryItem, 'SourceFieldName',
                         TDictFieldProperty);
  RegisterPropertyEditor(TypeInfo(TDataSet), TDictionaryItem, 'RootDataSet',
                         TRootDataSetProperty);
  RegisterPropertyEditor(TypeInfo(TDataSet), TDictionaryItem, 'ConnectedDataSet',
                         TConnectedDataSetProperty);
  RegisterPropertyEditor(TypeInfo(String), TDictionaryItem, 'ConnectedFieldName',
                         TConnectedFieldProperty);
  RegisterPropertyEditor(TypeInfo(Integer), TDictionaryItem, 'MaxLevel',
                         TMaxLevelProperty);
  RegisterPropertyEditor(TypeInfo(TDictionaryMgr), TDictionaryItem, 'ItemOwner',
                         TItemOwnerProperty);
{
  RegisterPropertyEditor(TypeInfo(TImageIndex), TDictionaryItem, 'NodeImageIndex',
                         TIntegerProperty);
  RegisterPropertyEditor(TypeInfo(TImageIndex), TDictionaryItem, 'NodeSelectedIndex',
                         TIntegerProperty);
  RegisterPropertyEditor(TypeInfo(TImageIndex), TDictionaryItem, 'NodeStateIndex',
                         TIntegerProperty);
}
end;

end.
