(*====================================================================
    File singlecopy.pas

    Components library for Delphi, Kylix and BCB++.
    Check for a single copy of mutex.

    Copyright  2008, PSTG
    http://www.polesoft.ru
    mailto:support@polesoft.ru

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

======================================================================
$Id: singlecopy.pas,v 1.2 2008/08/13 09:52:22 ariafan Exp $
======================================================================*)
unit singlecopy;

interface

uses Windows, SysUtils;

const
  srCreateMutexError   = '   .';

type
  TMutexChecker = class
  private
    FMutex: THandle;
    FMutexName: PAnsiChar;
  public
    constructor Create;
    destructor Destroy; override;
    //    mutex
    function SingleCopy(aMutexName: string): Boolean;

    property Mutex: THandle read FMutex;
  end;

implementation

{ TMutexChecker }

function TMutexChecker.SingleCopy(aMutexName: string): Boolean;
begin
  FMutexName := PAnsiChar(aMutexName);
  FMutex := CreateMutex(nil, False, FMutexName);
  if FMutex = 0 then //   
    raise EOSError.Create(srCreateMutexError);
  Result :=  not (GetLastError = ERROR_ALREADY_EXISTS);
end;

constructor TMutexChecker.Create;
begin
  FMutex := 0;
  FMutexName := '';
end;

destructor TMutexChecker.Destroy;
begin
  if FMutex <> 0 then ReleaseMutex(FMutex);
  inherited;
end;

end.
